ID CVE-2017-9787
Summary When using a Spring AOP functionality to secure Struts actions it is possible to perform a DoS attack. Solution is to upgrade to Apache Struts version 2.5.12 or 2.3.33.
References
Vulnerable Configurations
  • Apache Software Foundation Struts 2.3.8
    cpe:2.3:a:apache:struts:2.3.8
  • Apache Software Foundation Struts 2.3.9
    cpe:2.3:a:apache:struts:2.3.9
  • Apache Software Foundation Struts 2.3.10
    cpe:2.3:a:apache:struts:2.3.10
  • Apache Software Foundation Struts 2.3.11
    cpe:2.3:a:apache:struts:2.3.11
  • Apache Software Foundation Struts 2.3.12
    cpe:2.3:a:apache:struts:2.3.12
  • Apache Software Foundation Struts 2.3.13
    cpe:2.3:a:apache:struts:2.3.13
  • Apache Software Foundation Struts 2.3.14
    cpe:2.3:a:apache:struts:2.3.14
  • Apache Software Foundation Struts 2.3.14.1
    cpe:2.3:a:apache:struts:2.3.14.1
  • Apache Software Foundation Struts 2.3.14.2
    cpe:2.3:a:apache:struts:2.3.14.2
  • Apache Software Foundation Struts 2.3.14.3
    cpe:2.3:a:apache:struts:2.3.14.3
  • Apache Software Foundation Struts 2.3.15
    cpe:2.3:a:apache:struts:2.3.15
  • Apache Software Foundation Struts 2.3.15.1
    cpe:2.3:a:apache:struts:2.3.15.1
  • Apache Software Foundation Struts 2.3.15.2
    cpe:2.3:a:apache:struts:2.3.15.2
  • Apache Software Foundation Struts 2.3.15.3
    cpe:2.3:a:apache:struts:2.3.15.3
  • Apache Software Foundation Struts 2.3.16
    cpe:2.3:a:apache:struts:2.3.16
  • Apache Software Foundation Struts 2.3.16.1
    cpe:2.3:a:apache:struts:2.3.16.1
  • Apache Software Foundation Struts 2.3.16.2
    cpe:2.3:a:apache:struts:2.3.16.2
  • Apache Software Foundation Struts 2.3.16.3
    cpe:2.3:a:apache:struts:2.3.16.3
  • Apache Software Foundation Struts 2.3.17
    cpe:2.3:a:apache:struts:2.3.17
  • Apache Software Foundation Struts 2.3.19
    cpe:2.3:a:apache:struts:2.3.19
  • Apache Software Foundation Struts 2.3.20
    cpe:2.3:a:apache:struts:2.3.20
  • Apache Software Foundation Struts 2.3.20.1
    cpe:2.3:a:apache:struts:2.3.20.1
  • Apache Software Foundation Struts 2.3.20.2
    cpe:2.3:a:apache:struts:2.3.20.2
  • Apache Software Foundation Struts 2.3.20.3
    cpe:2.3:a:apache:struts:2.3.20.3
  • Apache Software Foundation Struts 2.3.21
    cpe:2.3:a:apache:struts:2.3.21
  • Apache Software Foundation Struts 2.3.22
    cpe:2.3:a:apache:struts:2.3.22
  • Apache Software Foundation Struts 2.3.23
    cpe:2.3:a:apache:struts:2.3.23
  • Apache Software Foundation Struts 2.3.24
    cpe:2.3:a:apache:struts:2.3.24
  • cpe:2.3:a:apache:struts:2.3.24.1
    cpe:2.3:a:apache:struts:2.3.24.1
  • Apache Software Foundation Struts 2.3.24.2
    cpe:2.3:a:apache:struts:2.3.24.2
  • Apache Struts 2.3.24.3
    cpe:2.3:a:apache:struts:2.3.24.3
  • Apache Software Foundation Struts 2.3.25
    cpe:2.3:a:apache:struts:2.3.25
  • Apache Software Foundation Struts 2.3.26
    cpe:2.3:a:apache:struts:2.3.26
  • Apache Software Foundation Struts 2.3.27
    cpe:2.3:a:apache:struts:2.3.27
  • Apache Software Foundation Struts 2.3.28
    cpe:2.3:a:apache:struts:2.3.28
  • Apache Struts 2.3.28.1
    cpe:2.3:a:apache:struts:2.3.28.1
  • Apache Software Foundation Struts 2.3.29
    cpe:2.3:a:apache:struts:2.3.29
  • Apache Software Foundation Struts 2.3.30
    cpe:2.3:a:apache:struts:2.3.30
  • Apache Software Foundation Struts 2.3.31
    cpe:2.3:a:apache:struts:2.3.31
  • Apache Software Foundation Struts 2.3.32
    cpe:2.3:a:apache:struts:2.3.32
  • Apache Struts 2.5
    cpe:2.3:a:apache:struts:2.5
  • Apache Software Foundation Struts 2.5.1
    cpe:2.3:a:apache:struts:2.5.1
  • Apache Software Foundation Struts 2.5.2
    cpe:2.3:a:apache:struts:2.5.2
  • Apache Software Foundation Struts 2.5.3
    cpe:2.3:a:apache:struts:2.5.3
  • Apache Software Foundation Struts 2.5.4
    cpe:2.3:a:apache:struts:2.5.4
  • Apache Software Foundation Struts 2.5.5
    cpe:2.3:a:apache:struts:2.5.5
  • Apache Software Foundation Struts 2.5.6
    cpe:2.3:a:apache:struts:2.5.6
  • Apache Software Foundation Struts 2.5.7
    cpe:2.3:a:apache:struts:2.5.7
  • Apache Software Foundation Struts 2.5.8
    cpe:2.3:a:apache:struts:2.5.8
  • Apache Software Foundation Struts 2.5.9
    cpe:2.3:a:apache:struts:2.5.9
  • Apache Software Foundation Struts 2.5.10
    cpe:2.3:a:apache:struts:2.5.10
  • cpe:2.3:a:apache:struts:2.5.10.1
    cpe:2.3:a:apache:struts:2.5.10.1
  • Apache Software Foundation Struts 2.3.7
    cpe:2.3:a:apache:struts:2.3.7
CVSS
Base: 5.0
Impact:
Exploitability:
CWE CWE-284
CAPEC
  • Embedding Scripts within Scripts
    An attack of this type exploits a programs' vulnerabilities that are brought on by allowing remote hosts to execute scripts. The attacker leverages this capability to execute scripts to execute his/her own script by embedding it within other scripts that the target software is likely to execute. The attacker must have the ability to inject script into script that is likely to be executed. If this is done, then the attacker can potentially launch a variety of probes and attacks against the web server's local environment, in many cases the so-called DMZ, back end resources the web server can communicate with, and other hosts. With the proliferation of intermediaries, such as Web App Firewalls, network devices, and even printers having JVMs and Web servers, there are many locales where an attacker can inject malicious scripts. Since this attack pattern defines scripts within scripts, there are likely privileges to execute said attack on the host. Of course, these attacks are not solely limited to the server side, client side scripts like Ajax and client side JavaScript can contain malicious scripts as well. In general all that is required is for there to be sufficient privileges to execute a script, but not protected against writing.
  • Signature Spoofing by Key Theft
    An attacker obtains an authoritative or reputable signer's private signature key by theft and then uses this key to forge signatures from the original signer to mislead a victim into performing actions that benefit the attacker.
nessus via4
  • NASL family Misc.
    NASL id STRUTS_2_5_12.NASL
    description The version of Apache Struts running on the remote host is 2.3.x prior to 2.3.33, or 2.5.x prior to 2.5.12. It is, therefore, affected by multiple vulnerabilities : - A denial of service vulnerability exists when handling a specially crafted URL in a form field when the built-in URL validator is used. An unauthenticated, remote attacker can exploit this to cause the server process to overload. Note that this issue only affects version 2.5.x. (CVE-2017-7672) - A flaw exists in unspecified Spring AOP functionality that is used to secure Struts actions. An authenticated, remote attacker can exploit this to cause a denial of service condition. (CVE-2017-9787) Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.
    last seen 2017-10-29
    modified 2017-09-08
    plugin id 101548
    published 2017-07-14
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=101548
    title Apache Struts 2.3.x < 2.3.33 / 2.5.x < 2.5.12 Multiple DoS
  • NASL family CGI abuses
    NASL id MYSQL_ENTERPRISE_MONITOR_3_4_3_4225.NASL
    description According to its self-reported version, the MySQL Enterprise Monitor application running on the remote host is 3.2.x prior to 3.2.9.2249, 3.3.x prior to 3.3.5.3292, or 3.4.x prior to 3.4.3.4225. It is, therefore, affected by multiple vulnerabilities as noted in the October 2017 Critical Patch Update advisory. Please consult the CVRF details for the applicable CVEs for additional information. Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.
    last seen 2018-06-15
    modified 2018-06-14
    plugin id 103536
    published 2017-09-28
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=103536
    title MySQL Enterprise Monitor 3.2.x < 3.2.9.2249 / 3.3.x < 3.3.5.3292 / 3.4.x < 3.4.3.4225 Multiple Vulnerabilities (October 2017 CPU)
refmap via4
bid 99562
confirm
mlist
  • [announcements] 20170713 Apache Struts 2.5.12 GA with Security Fixes Release
  • [announcements] 20170810 [ANN] Apache Struts: S2-049 Security Bulletin update
sectrack 1039115
Last major update 13-07-2017 - 11:29
Published 13-07-2017 - 11:29
Last modified 27-09-2017 - 21:29
Back to Top